OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
InternalNode< _ChildNodeType, Log2Dim >::TopologyUnion< OtherInternalNode > Struct Template Reference

`#include <openvdb/tree/InternalNode.h>`

## Classes
struct | A

## Public Types
using | W = typename NodeMaskType::Word

## Public Member Functions
| TopologyUnion (const OtherInternalNode *source, InternalNode *target, const bool preserveTiles)
void | operator() (const tbb::blocked_range< Index > &r) const

## Public Attributes
const OtherInternalNode * | s
InternalNode * | t
const bool | mPreserveTiles

## Member Typedef Documentation

## ◆ W

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

using W = typename NodeMaskType::Word

## Constructor & Destructor Documentation

## ◆ TopologyUnion()

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

TopologyUnion | ( | const OtherInternalNode * | source,
|  | InternalNode * | target,
|  | const bool | preserveTiles
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

void operator() | ( | const tbb::blocked_range< Index > & | r | ) | const
| inline

## Member Data Documentation

## ◆ mPreserveTiles

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

const bool mPreserveTiles

## ◆ s

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

const OtherInternalNode* s

## ◆ t

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherInternalNode >

InternalNode* t